Subject: Re: [PATCH v7 0/7] Add initial support for the i.MXRTxxxx SoC family starting from i.IMXRT1050 SoC.

From: Jesse Taube <[email-masked]>
Date: Tue, 11 Jan 2022 16:57:42 -0500

On 1/11/22 16:25, Jesse Taube wrote:
> This patchset contains:
> - i.MXRT10xx family infrastructure
> - i.MXRT1050 pinctrl driver adaption
> - i.MXRT1050 clock driver adaption
> - i.MXRT1050 sd-card driver adaption
> - i.MXRT1050 uart driver adaption
> - i.MXRT1050-evk basic support
> 
> The i.MXRTxxxx family that could have support by Linux actually spreads
> from i.MXRT1020 to i.MXRT1170 with the first one supporting 1 USB OTG &
> 100M ethernet with a cortex-M7@500Mhz up to the latter with i.MXRT1170
> with cortex-M7@1Ghz and cortex-M4@400Mhz, 2MB of internal SRAM, 2D GPU,
> 2x 1Gb and 1x 100Mb ENET. The i.MXRT family is NXP's answer to
> STM32F7XX, as it uses only simple SDRAM, it gives the chance of a 4 or
> less layer PCBs. Seeing that these chips are comparable to the
> STM32F7XXs which have linux ported to them it seems reasonable to add
> support for them.
> 
> Giving Linux support to this family should ease the development process,
> instead of using a RTOS they could use Embedded Linux allowing for more
> portability, ease of design and will broaden the scope of people using
> embedded linux.
> 
> The EVK has very little SDRAM, generally 32MB starting from
> i.MXRT1020(the lowest P/N), although the i.MXRT1160/70 provide instead
> 64MB of SDRAM for more functionality.
> 
> At the moment we do not support XIP for either u-boot or Linux but it
> should be done in the future. XIP will also save SDRAM.
> 
> Another interesting fact is the amount of internal SRAM, as the P/N
> increases the SRAM will reach up to 2MB(some could be for cache and
> some would be for video).
> 
> Also, some parts have embed flash of 4MB that can be used for
> u-boot/Linux, if both correctly sized it will leave the SDRAM free.
> 
> External flash can be Quad SPI and HyperFlash, so throughput would be
> decent.
> 
> The i.MXRT11xx series supports MIPI interface too.
> 
> The family in general provide CAN bus, audio I/O, 1 or more
> USB(otg/host), 1 or more 100Mb/1Gb ethernet, camera interface, sd-card.
> 
> All this can be used for simple GUIs, web-servers, point-of-sale
> stations, etc.
> 
> 
> Giulio Benetti (4):
>    ARM: imx: Add initial support for i.MXRT10xx family
>    dt-bindings: imx: Add clock binding for i.MXRT1050
>    ARM: dts: imx: Add i.MXRT1050-EVK support
>    ARM: imxrt_defconfig: Add i.MXRT family defconfig
> 
> Jesse Taube (3):
>    ARM: dts: imxrt1050-pinfunc: Add pinctrl binding header
>    dt-bindings: clock: imx: Add documentation for i.MXRT1050 clock
>    clk: imx: Add initial support for i.MXRT1050 clock driver
> 
>   .../bindings/clock/imxrt1050-clock.yaml       |  67 ++
>   arch/arm/boot/dts/Makefile                    |   2 +
>   arch/arm/boot/dts/imxrt1050-evk.dts           |  72 ++
>   arch/arm/boot/dts/imxrt1050-pinfunc.h         | 993 ++++++++++++++++++
>   arch/arm/boot/dts/imxrt1050.dtsi              | 160 +++
>   arch/arm/configs/imxrt_defconfig              |  35 +
>   arch/arm/mach-imx/Kconfig                     |   7 +
>   arch/arm/mach-imx/Makefile                    |   2 +
>   arch/arm/mach-imx/mach-imxrt.c                |  19 +
>   drivers/clk/imx/Kconfig                       |   7 +
>   drivers/clk/imx/Makefile                      |   1 +
>   drivers/clk/imx/clk-imxrt1050.c               | 168 +++
>   include/dt-bindings/clock/imxrt1050-clock.h   |  72 ++
>   13 files changed, 1605 insertions(+)
>   create mode 100644 Documentation/devicetree/bindings/clock/imxrt1050-clock.yaml
>   create mode 100644 arch/arm/boot/dts/imxrt1050-evk.dts
>   create mode 100644 arch/arm/boot/dts/imxrt1050-pinfunc.h
>   create mode 100644 arch/arm/boot/dts/imxrt1050.dtsi
>   create mode 100644 arch/arm/configs/imxrt_defconfig
>   create mode 100644 arch/arm/mach-imx/mach-imxrt.c
>   create mode 100644 drivers/clk/imx/clk-imxrt1050.c
>   create mode 100644 include/dt-bindings/clock/imxrt1050-clock.h
> 

Oh No!
I'm very sorry I sent v8 under the wrong version number. I sent it again...

Sincerely,
	Jesse Taube

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel